{
  inputs = {
    handlebars-rust-src = {
      # TODO: Instead of a fork this could be integrated into this repo as a rather simple patch, reducing external depedencies.
      url = "github:pbrinkmeier-almato/handlebars-rust/cargo-lock";
      flake = false;
    };
    naersk.url = "github:nix-community/naersk/master";
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
    utils.url = "github:numtide/flake-utils";
  };

  outputs = { self, nixpkgs, utils, naersk, handlebars-rust-src }:
    utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { inherit system; };
        naersk-lib = pkgs.callPackage naersk { };
      in
      rec {
        packages.handlebars-rust = naersk-lib.buildPackage handlebars-rust-src;
        devShell = pkgs.mkShell {
          nativeBuildInputs = [
            packages.handlebars-rust
            pkgs.imagemagick
            pkgs.gnumake
            pkgs.jq
            pkgs.zip
            (pkgs.python3.withPackages (ps: [ps.clize ps.exif]))
          ];
        };
      }
    );
}
